return {
	{ 'rafi/neo-hybrid.vim', priority = 100, lazy = false },
	{ 'rafi/awesome-vim-colorschemes', lazy = false },
	{ 'AlexvZyl/nordic.nvim' },
	{ 'folke/tokyonight.nvim', opts = { style = 'night' } },
	{ 'rebelot/kanagawa.nvim' },
	{ 'olimorris/onedarkpro.nvim' },
	{ 'EdenEast/nightfox.nvim' },
	{ 'nyoom-engineering/oxocarbon.nvim' },

	{
		'catppuccin/nvim',
		lazy = true,
		name = 'catppuccin',
		opts = {
			flavour = 'latte', -- latte, frappe, macchiato, mocha
			dim_inactive = { enabled = false },
			integrations = {
				alpha = true,
				cmp = true,
				flash = true,
				gitsigns = true,
				illuminate = true,
				indent_blankline = { enabled = true },
				lsp_trouble = true,
				markdown = true,
				mason = true,
				mini = true,
				native_lsp = {
					enabled = true,
					virtual_text = {
						errors = { 'italic' },
						hints = { 'italic' },
						warnings = { 'italic' },
						information = { 'italic' },
					},
					underlines = {
						errors = { 'undercurl' },
						hints = { 'undercurl' },
						warnings = { 'undercurl' },
						information = { 'undercurl' },
					},
					inlay_hints = {
						background = true,
					},
				},
				navic = { enabled = true },
				neogit = true,
				neotest = true,
				neotree = true,
				noice = true,
				notify = true,
				semantic_tokens = true,
				symbols_outline = true,
				treesitter_context = true,
				telescope = { enabled = true },
				treesitter = true,
				which_key = true,
			},
		},
	},
	{
		'rebelot/kanagawa.nvim',
		lazy = false,
		name = 'kanagawa',
		config = function()
			require('kanagawa').setup({
				compile = true,              -- enable compiling the colorscheme
				undercurl = true,            -- enable undercurls
				commentStyle = { italic = false },
				functionStyle = {},
				keywordStyle = { bold = true },
				statementStyle = { bold = true },
				typeStyle = {},
				transparent = false,         -- do not set background color
				dimInactive = false,         -- dim inactive window `:h hl-NormalNC`
				terminalColors = true,       -- define vim.g.terminal_color_{0,17}
				colors = {                   -- add/modify theme and palette colors
					palette = {},
					theme = { wave = {}, lotus = {}, dragon = {}, all = {} },
				},
				overrides = function(colors) -- add/modify highlights
					return {}
				end,
				theme = "dragon",              -- Load "wave" theme when 'background' option is not set
				background = {               -- map the value of 'background' option to a theme
					dark = "wave",           	 -- try "dragon" !
					light = "lotus"
				},
			})
		end
	},
}
