return {
	{
		'mfussenegger/nvim-dap',
		optional = true,
		dependencies = {
			'mfussenegger/nvim-dap-python',
		},
		-- stylua: ignore
		-- keys = {
		-- 	{ '<leader>dPt', function() require('dap-python').test_method() end, desc = 'Debug Method' },
		-- 	{ '<leader>dPc', function() require('dap-python').test_class() end,  desc = 'Debug Class' },
		-- },
		config = function()
			local dap = require('dap')
			dap.configurations.rust = {
				{
					-- ... the previous config goes here ...,
					initCommands = function()
						-- Find out where to look for the pretty printer Python module
						local rustc_sysroot = vim.fn.trim(vim.fn.system('rustc --print sysroot'))

						local script_import = 'command script import "' .. rustc_sysroot .. '/lib/rustlib/etc/lldb_lookup.py"'
						local commands_file = rustc_sysroot .. '/lib/rustlib/etc/lldb_commands'

						local commands = {}
						local file = io.open(commands_file, 'r')
						if file then
							for line in file:lines() do
								table.insert(commands, line)
							end
							file:close()
						end
						table.insert(commands, 1, script_import)

						return commands
					end,
					-- ...,
				}
			}
		end,
	},
}
